Subject: [bitcoin-dev] SF proposal: prohibit unspendable outputs with amount=0

From: Jorge Timón <[email-masked]>
Date: Tue, 5 Sep 2017 23:51:45 +0200

This is not a priority, not very important either.
Right now it is possible to create 0-value outputs that are spendable
and thus stay in the utxo (potentially forever). Requiring at least 1
satoshi per output doesn't really do much against a spam attack to the
utxo, but I think it would be slightly better than the current
situation.

Is there any reason or use case to keep allowing spendable outputs
with null amounts in them?

If not, I'm happy to create a BIP with its code, this should be simple.